Bug 143660 - Upgrade libtiff to 3.5.7
Summary: Upgrade libtiff to 3.5.7
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: libtiff (Show other bugs)
(Show other bugs)
Version: 2.1
Hardware: All Linux
medium
high
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 132992
TreeView+ depends on / blocked
 
Reported: 2004-12-23 15:27 UTC by Josh Bressers
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 15:25:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2005:226 normal SHIPPED_LIVE libtiff bug fix update 2005-04-28 04:00:00 UTC

Description Josh Bressers 2004-12-23 15:27:14 UTC
We should update libtiff to 3.5.7 to avoid the annoying need to patch internal
version contained in kfax and tetex.  This forces us to create 3 advisories for
each libtiff security issue discovered, which slows things down.

For some reason the version included in RHEL2.1 does not allow us to use the
system libtiff.

Comment 1 Matthias Clasen 2005-02-10 13:56:48 UTC
I have built libtiff-3.5.7-24.el2 in dist-2.1AS-errata-candidate now
Waiting to hear from Than wether it can to replace the internal kfax
version.

Comment 2 Ngo Than 2005-02-10 14:04:55 UTC
it seems kfax does not work well with libtiff-3.5.7, but with 3.6.1 in
FC3.
Please take a look at
http://porkchop.devel.redhat.com/errata/showrequest.cgi?advisory=2005:021

Comment 3 Matthias Clasen 2005-02-11 15:52:27 UTC
Than,

I looked a bit at the kde.{g3,g4,g32d} images. Here is what I found:

On RHEL3-U4,

kfax displays g3 properly, g32d not properly, and doesn't recognize g4 
as a fax image.

fax2tiff (2.5.7) handles g3 and g4 fine if you give it the -M option. 
it doesn't handle g32d regardless of -M

The results with fax2tiff are the same on FC-3 with 3.6.1 and on
rawhide with 3.7.1.

So I believe there would not be any kfax regressions if you make it use 
/usr/bin/fax2tiff -M


Comment 4 Matthias Clasen 2005-02-25 17:11:52 UTC
I generated errata RHBA-2005:226-01 for this now.

Comment 5 John Flanagan 2005-04-28 15:25:06 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-226.html



Note You need to log in before you can comment on or make changes to this bug.